@import "tailwindcss";

@theme {
  --color-secondary-container: #fe7c9d;
  --color-on-surface: #191c1d;
  --color-surface-variant: #e1e3e4;
  --color-surface-container-lowest: #ffffff;
  --color-on-tertiary-container: #ed7b26;
  --color-on-primary-fixed: #001947;
  --color-on-tertiary-fixed-variant: #743400;
  --color-secondary-fixed-dim: #ffb1c1;
  --color-primary-fixed: #dae2ff;
  --color-on-secondary-container: #751035;
  --color-surface-container-low: #f3f4f5;
  --color-on-secondary: #ffffff;
  --color-tertiary-fixed: #ffdbc8;
  --color-surface-tint: #3d5ca4;
  --color-primary-fixed-dim: #b1c5ff;
  --color-error-container: #ffdad6;
  --color-secondary-fixed: #ffd9df;
  --color-on-error-container: #93000a;
  --color-tertiary-container: #542400;
  --color-on-tertiary: #ffffff;
  --color-surface-container-highest: #e1e3e4;
  --color-surface: #f8f9fa;
  --color-inverse-surface: #2e3132;
  --color-on-tertiary-fixed: #321300;
  --color-background: #f8f9fa;
  --color-on-background: #191c1d;
  --color-primary: #001a49;
  --color-primary-container: #002d74;
  --color-secondary: #a43757;
  --color-outline: #747782;
  --color-outline-variant: #c4c6d2;
  --color-surface-dim: #d9dadb;

  --font-headline: var(--font-space-grotesk);
  --font-body: var(--font-inter);
  --font-label: var(--font-inter);
  
  --radius-DEFAULT: 0.125rem;
  --radius-lg: 0.25rem;
  --radius-xl: 0.5rem;
  --radius-full: 0.75rem;
}

@utility material-symbols-outlined {
  font-family: 'Material Symbols Outlined';
  font-weight: normal;
  font-style: normal;
  font-size: 24px;
  display: inline-block;
  line-height: 1;
  text-transform: none;
  letter-spacing: normal;
  word-wrap: normal;
  white-space: nowrap;
  direction: ltr;
  font-variation-settings:
    'FILL' 0,
    'wght' 400,
    'GRAD' 0,
    'opsz' 24;
}

@utility glass-panel {
  background: rgba(255, 255, 255, 0.8);
  backdrop-filter: blur(12px);
}

@utility map-gradient-overlay {
  background: linear-gradient(to right, rgba(0, 26, 73, 0.95) 0%, rgba(0, 26, 73, 0.5) 50%, rgba(0, 26, 73, 0.1) 100%);
}

@utility nav-text-lift {
  text-shadow: 0 2px 10px rgba(0,0,0,0.5), 0 0 15px rgba(255,255,255,0.2);
}

body {
  background: var(--color-surface);
  color: var(--color-on-surface);
  font-family: var(--font-body);
}

h1, h2, h3, .font-headline {
  font-family: var(--font-headline);
}

@media print {
  @page {
    margin: 0.5in;
  }
  body {
    -webkit-print-color-adjust: exact !important;
    print-color-adjust: exact !important;
  }
  thead {
    display: table-header-group;
  }
  tfoot {
    display: table-row-group;
  }
  tr {
    page-break-inside: avoid;
    break-inside: avoid;
  }
}
